"""
Custom exception handling for wittrans.

SPDX-FileCopyrightText: 2024 Jiri Grönroos <jiri.gronroos@iki.fi>

SPDX-License-Identifier: LGPL-3.0-or-later
"""


class TranslationDirectoryNotFound(Exception):
    """Exception raised when translation directory is not found."""

    pass


class InvalidLanguageCode(Exception):
    """Exception raised when language code is invalid."""

    pass


class FlatpakNotInstalled(Exception):
    """Exception raised when Flatpak is not installed."""

    pass
